<?php

    class HtmlForm{
        
        public static function InputListFromArray( $InputArray , $without = array() , $InputType = 'hidden' )
        {
            if( !$without ) $without = array();

            if( count( $InputArray ) )
            {
                $HTML = '';
                
                foreach( $InputArray AS $FieldName => $FieldValue )
                {
                    if( !in_array( $FieldName , $without ) )
                    {
                        $HTML .= '<input type="' . $InputType . '" name="' . $FieldName . '" value="' . $FieldValue . '" />';
                    }
                }
                
                    return $HTML;
            }
            
                return;
        }
        
        public static function EmptyOption( $SelectText = '- wybierz -' )
        {
            return '<option value="">' . l( $SelectText ) . '</option>';
        }
        
        public static function SelectOffOption( $SelectText = '- nie dotyczy -' )
        {
            return '<option value="">' . l( $SelectText ) . '</option>';
        }

        public static function WaitOption( $SelectText = 'Wczytywanie...' )
        {
            return '<option value="">' . l( $SelectText ) . '</option>';
        }
                
    }


?>